Subject: Re: [lojban] Programming Languages for Lojban

From: Jay Kominek <[email-masked]>
Date: Mon, 11 Mar 2002 10:33:13 -0700 (MST)

On Mon, 11 Mar 2002, Invent Yourself wrote:

> Do you know anything about Rebol and how Lojban could map to a Rebol
> dialect?

I know enough about Rebol to not touch it with a 10 foot pole.

I can't dig up much about Rebol dialects on their web page (which is
unsurprising to me). However, the View dialect stuff looks as though
dialects merely allow you to define new language keywords, which wouldn't
be helpful to Lojban use at all. The Parsing section of the REBOL/Core
User's Guide indicates that you might be able to make small changes to the
grammar. I am dubious about how robust and powerful that feature would be.

I would certainly be hard pressed to believe that you could, within the
REBOL framework, modify its parser enough to accept Lojban. (Which may or
may not be what you want, but I figure I'll throw it out there anyways.)

- Jay Kominek <[email-masked]>
Plus ça change, plus c'est la même chose